SUSE SLED12 / SLES12セキュリティ更新プログラム:java-1_7_0-openjdk(SUSE-SU-2019:2028-1)(Spectre)

medium Nessus プラグイン ID 127758

言語:

New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

java-1_7_0-openjdkをバージョン7u231にするこの更新プログラムでは、以下の問題が修正されています:

キャッシュサイドチャネル攻撃の軽減:

CVE_2019-2426:Webサーバー接続を改善します(bsc#1134297)。

CVE-2019-2745:ECC実装を向上します(bsc#1141784)。

CVE-2019-2762:例外的なスローケース(bsc#1141782)。

CVE-2019-2766:ファイルプロトコルの処理を改善します(bsc#1141789)。

CVE-2019-2769:CopiesListのよりよいコピー(bsc#1141783)。

CVE-2019-2786:より限定的な権限の使用(bsc#1141787)。

CVE-2019-2816:正規化を正規化します(bsc#1141785)。

CVE-2019-2842:拡張AESサポート(bsc#1141786)。

CVE-2019-7317:PNGサポートを改善します(bsc#1141780)。

CVE-2018-3639:PR_SPEC_DISABLEよりもPR_SPEC_DISABLE_NOEXECを選択するように改訂版を修正しました(bsc#1087082)。

証明書検証の改善

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Server 12-SP4:zypper in -t patch SUSE-SLE-SERVER-12-SP4-2019-2028=1

SUSE Linux Enterprise Desktop 12-SP4:zypper in -t patch SUSE-SLE-DESKTOP-12-SP4-2019-2028=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1087082

https://bugzilla.suse.com/show_bug.cgi?id=1134297

https://bugzilla.suse.com/show_bug.cgi?id=1141780

https://bugzilla.suse.com/show_bug.cgi?id=1141782

https://bugzilla.suse.com/show_bug.cgi?id=1141783

https://bugzilla.suse.com/show_bug.cgi?id=1141784

https://bugzilla.suse.com/show_bug.cgi?id=1141785

https://bugzilla.suse.com/show_bug.cgi?id=1141786

https://bugzilla.suse.com/show_bug.cgi?id=1141787

https://bugzilla.suse.com/show_bug.cgi?id=1141789

https://www.suse.com/security/cve/CVE-2018-3639/

https://www.suse.com/security/cve/CVE-2019-2426/

https://www.suse.com/security/cve/CVE-2019-2745/

https://www.suse.com/security/cve/CVE-2019-2762/

https://www.suse.com/security/cve/CVE-2019-2766/

https://www.suse.com/security/cve/CVE-2019-2769/

https://www.suse.com/security/cve/CVE-2019-2786/

https://www.suse.com/security/cve/CVE-2019-2816/

https://www.suse.com/security/cve/CVE-2019-2842/

https://www.suse.com/security/cve/CVE-2019-7317/

http://www.nessus.org/u?e276b272

プラグインの詳細

深刻度: Medium

ID: 127758

ファイル名: suse_SU-2019-2028-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/8/12

更新日: 2020/1/6

依存関係: ssh_get_info.nasl

リスク情報

CVSS スコアのソース: CVE-2019-2816

VPR

リスクファクター: Medium

スコア: 6.9

CVSS v2

リスクファクター: Medium

Base Score: 5.8

Temporal Score: 4.5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:N

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: Medium

Base Score: 4.8

Temporal Score: 4.3

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-debuginfo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-debugsource, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-demo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-demo-debuginfo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-devel, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-devel-debuginfo, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-headless, p-cpe:/a:novell:suse_linux:java-1_7_0-openjdk-headless-debuginfo, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/7/31

脆弱性公開日: 2018/5/22

参照情報

CVE: CVE-2018-3639, CVE-2019-2426, CVE-2019-2745, CVE-2019-2762, CVE-2019-2766, CVE-2019-2769, CVE-2019-2786, CVE-2019-2816, CVE-2019-2842, CVE-2019-7317